using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace _1___Isplata
{
    class Program
    {
        static void Main(string[] args)
        {
            ulong V = Convert.ToUInt64(Console.ReadLine());
            int k = 0;
            int i = 18;

            while (V > 0)
            {
                if (V < Math.Pow(10, i))
                {
                    while (V < Math.Pow(10, i))
                    {
                        i--;
                    }
                }
                if (V >= 5 * Math.Pow(10, i))
                {
                    while (V >= 5 * Math.Pow(10, i))
                    {
                        k++;
                        V -= Convert.ToUInt64(5 * Math.Pow(10, i));
                    }
                }
                else
                if (V >= 2 * Math.Pow(10, i))
                {
                    while (V >= 2 * Math.Pow(10, i))
                    {
                        k++;
                        V -= Convert.ToUInt64(2 * Math.Pow(10, i));
                    }
                }
                else
                if (V >= 1 * Math.Pow(10, i))
                {
                    while (V >= 1 * Math.Pow(10, i))
                    {
                        k++;
                        V -= Convert.ToUInt64(1 * Math.Pow(10, i));
                    }
                }
            }
            Console.Write(k);
        }
    }
}